> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/release-orchestration/api-reference/release-groups-beta.md).

# Release Groups \[Beta]

## Create New Release Group

> Create a new Release Group.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup":{"post":{"description":"Create a new Release Group.","operationId":"PostReleaseGroup","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"}],"requestBody":{"$ref":"#/components/requestBodies/CreateReleaseGroupRequest"},"responses":{"200":{"$ref":"#/components/responses/CreateReleaseGroupResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Create New Release Group","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"requestBodies":{"CreateReleaseGroupRequest":{"content":{"application/json":{"schema":{"properties":{"processGitBranch":{"description":"Git branch used to read the orchestration process definition for releases in this group. Required when the process is stored in Git.","type":"string"},"processIdentifier":{"description":"Identifier of the orchestration process","type":"string"},"processInputIdentifier":{"description":"Identifier of the orchestration process input","type":"string"},"yaml":{"type":"string"}},"required":["yaml"],"type":"object"}}},"description":"Example Request Body"}},"responses":{"CreateReleaseGroupResponse":{"content":{"application/json":{"schema":{"properties":{"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"id":{"type":"string"},"yaml":{"type":"string"}},"type":"object"}}},"description":"Example response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## GET /releaseGroup/summary

> Fetch List of Release Group

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/summary":{"get":{"operationId":"GetReleaseGroupSummary","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"},{"$ref":"#/components/parameters/SearchTermParam"},{"$ref":"#/components/parameters/StatusListParam"},{"$ref":"#/components/parameters/ReleaseTypeParam"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/Size"},{"$ref":"#/components/parameters/Sort"}],"responses":{"200":{"$ref":"#/components/responses/ReleaseGroupSummaryResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Fetch List of Release Group","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}},"SearchTermParam":{"description":"Optional search string to filter releases by name.","in":"query","name":"searchTerm","schema":{"type":"string"}},"StatusListParam":{"in":"query","name":"status","schema":{"items":{"type":"string"},"type":"array"}},"ReleaseTypeParam":{"description":"Optional release type filter (Orchestration or Tracking)","in":"query","name":"type","schema":{"enum":["Orchestration","Tracking"],"type":"string"}},"Page":{"in":"query","name":"page","schema":{"type":"integer"}},"Size":{"in":"query","name":"size","schema":{"type":"integer"}},"Sort":{"description":"Sort parameters as an array. Format: `[field_name, direction]` where direction is `asc` or `desc`.\nSupported fields: `start_ts`, `startTs`, `end_ts`, `endTs`, `last_updated_at`, `lastUpdatedAt`, `created_at`, `createdAt`, `name`, `identifier`, `status`, `type`.\nWhen used in query params, use format: `sort=field_name&sort=direction` (e.g., `sort=start_ts&sort=desc`).\n","in":"query","name":"sort","schema":{"items":{"type":"string"},"type":"array"}}},"responses":{"ReleaseGroupSummaryResponse":{"content":{"application/json":{"schema":{"properties":{"content":{"items":{"$ref":"#/components/schemas/ReleaseGroupDTO"},"type":"array"},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer"},"numberOfElements":{"type":"integer"},"pageable":{"$ref":"#/components/schemas/Pageable"},"size":{"type":"integer"},"sort":{"$ref":"#/components/schemas/PageableSort"},"totalElements":{"type":"integer"},"totalPages":{"type":"integer"}},"required":["content","pageable","totalPages","last","totalElements","size","number","sort","numberOfElements","first","empty"],"type":"object"}}},"description":"This wraps the list of all release groups along with pagination"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ReleaseGroupDTO":{"properties":{"autoExecuteOnSchedule":{"$ref":"#/components/schemas/AutoExecuteOnScheduleProperty"},"cadence":{"$ref":"#/components/schemas/ReleaseCadence"},"color":{"type":"string"},"description":{"type":"string"},"id":{"type":"string"},"identifier":{"type":"string"},"lastUpdatedAt":{"type":"integer"},"lastUpdatedBy":{"$ref":"#/components/schemas/LastUpdatedByDTO"},"name":{"type":"string"},"processIdentifier":{"description":"Process identifier","type":"string"},"processInputIdentifier":{"description":"Process input identifier","type":"string"},"releaseType":{"$ref":"#/components/schemas/ReleaseType"},"releaseVersion":{"type":"string"},"tags":{"additionalProperties":{"type":"string"},"type":"object"}},"required":["lastUpdatedAt","lastUpdatedBy","identifier","name","color","releaseVersion","releaseType","cadence","id"],"title":"ReleaseGroupDTO","type":"object"},"AutoExecuteOnScheduleProperty":{"default":false,"description":"Automatically execute releases when their scheduled time arrives","type":"boolean"},"ReleaseCadence":{"properties":{"duration":{"description":"duration for the release cadence.","type":"string"},"endDate":{"description":"End date of the release cadence (YYYY-MM-DD).","type":"string"},"frequency":{"$ref":"#/components/schemas/ReleaseFrequency"},"spec":{"properties":{"freq":{"$ref":"#/components/schemas/Freq"},"interval":{"description":"Number of units between releases.","type":"integer"},"weekday":{"deprecated":true,"description":"Single weekday (e.g. '1MO'). Deprecated: use weekdays instead.","type":"string"},"weekdays":{"description":"Multiple weekdays for the custom cadence (e.g. [MO, TU, WE, TH]).","items":{"$ref":"#/components/schemas/Weekday"},"type":"array"}},"required":["freq","interval"],"type":"object"},"startDate":{"description":"Start date of the release cadence (YYYY-MM-DD).","type":"string"},"timezone":{"description":"Timezone for the release cadence.","type":"string"}},"required":["timezone","frequency","startDate","duration","endDate"],"type":"object"},"ReleaseFrequency":{"description":"Frequency of the release cadence.","enum":["Daily","Weekly","Monthly","Custom","BiWeekly"],"type":"string"},"Freq":{"description":"Unit of time used for repeating releases.","enum":["Weekly","Monthly","Daily"],"type":"string"},"Weekday":{"description":"Day of the week code for custom cadence scheduling.","enum":["MO","TU","WE","TH","FR","SA","SU"],"type":"string"},"LastUpdatedByDTO":{"properties":{"email":{"type":"string"},"identifier":{"type":"string"},"name":{"type":"string"}},"required":["identifier"],"title":"LastUpdatedByDTO","type":"object"},"ReleaseType":{"description":"Type of release.","enum":["System","Beta","Hotfix","Patch"],"type":"string"},"Pageable":{"properties":{"offset":{"type":"integer"},"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"paged":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/PageableSort"},"unpaged":{"type":"boolean"}},"type":"object"},"PageableSort":{"properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```

## Get Release Group by ID

> Retrieve details of a specific Release Group.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}":{"get":{"description":"Retrieve details of a specific Release Group.","operationId":"GetReleaseGroup","parameters":[{"description":"The ID of the release group.","in":"path","name":"releaseGroupId","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"}],"responses":{"200":{"$ref":"#/components/responses/GetReleaseGroupResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Release Group by ID","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"responses":{"GetReleaseGroupResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetReleaseGroupResponse"}}},"description":"Response for Get Release Group API"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"GetReleaseGroupResponse":{"properties":{"autoExecuteOnSchedule":{"$ref":"#/components/schemas/AutoExecuteOnScheduleProperty"},"processGitBranch":{"description":"Git branch used to read the orchestration process definition for releases in this group. Empty when the process is not stored in Git.","type":"string"},"processIdentifier":{"description":"Identifier for the orchestration process.","type":"string"},"processInputIdentifier":{"description":"Identifier for the orchestration process input.","type":"string"},"yaml":{"description":"YAML representation of the release group.","type":"string"}},"required":["yaml"],"title":"Get Release Group Response","type":"object"},"AutoExecuteOnScheduleProperty":{"default":false,"description":"Automatically execute releases when their scheduled time arrives","type":"boolean"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```

## PUT /releaseGroup/{releaseGroupId}

> Update Release Group

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}":{"put":{"operationId":"PutReleaseGroup","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"},{"description":"The ID of the release group to be updated.","in":"path","name":"releaseGroupId","required":true,"schema":{"type":"string"}}],"requestBody":{"$ref":"#/components/requestBodies/UpdateReleaseGroupRequest"},"responses":{"200":{"$ref":"#/components/responses/UpdateReleaseGroupResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Update Release Group","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"requestBodies":{"UpdateReleaseGroupRequest":{"content":{"application/json":{"schema":{"properties":{"processGitBranch":{"description":"Git branch used to read the orchestration process definition for releases in this group. Omit to keep the current branch.","type":"string"},"processIdentifier":{"description":"Identifier of the orchestration process","type":"string"},"processInputIdentifier":{"description":"Identifier of the orchestration process input","type":"string"},"yaml":{"type":"string"}},"required":["yaml"],"type":"object"}}}}},"responses":{"UpdateReleaseGroupResponse":{"content":{"application/json":{"schema":{"properties":{"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"id":{"type":"string"},"yaml":{"type":"string"}},"type":"object"}}},"description":"Update release group response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## Delete Release Group by ID

> Delete a specific Release Group by its ID.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}":{"delete":{"description":"Delete a specific Release Group by its ID.","operationId":"DeleteReleaseGroup","parameters":[{"description":"The ID of the release group to delete.","in":"path","name":"releaseGroupId","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"}],"responses":{"200":{"$ref":"#/components/responses/DeleteReleaseGroupResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Delete Release Group by ID","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"responses":{"DeleteReleaseGroupResponse":{"content":{"application/json":{"schema":{"properties":{"data":{"type":"boolean"}},"type":"object"}}},"description":"Response for Delete Release Group API"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```

## Partially Update Release Group

> Partially update a release group without recreating releases. Currently supports updating autoExecuteOnSchedule field.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}":{"patch":{"description":"Partially update a release group without recreating releases. Currently supports updating autoExecuteOnSchedule field.","operationId":"PatchReleaseGroup","parameters":[{"description":"The ID of the release group to be updated.","in":"path","name":"releaseGroupId","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"}],"requestBody":{"$ref":"#/components/requestBodies/PatchReleaseGroupRequest"},"responses":{"200":{"$ref":"#/components/responses/PatchReleaseGroupResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Partially Update Release Group","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"requestBodies":{"PatchReleaseGroupRequest":{"content":{"application/json":{"schema":{"properties":{"autoExecuteOnSchedule":{"$ref":"#/components/schemas/AutoExecuteOnScheduleProperty"}},"type":"object"}}},"description":"Request body for partial update of release group. At least one field must be provided."}},"schemas":{"AutoExecuteOnScheduleProperty":{"default":false,"description":"Automatically execute releases when their scheduled time arrives","type":"boolean"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"}},"responses":{"PatchReleaseGroupResponse":{"content":{"application/json":{"schema":{"properties":{"autoExecuteOnSchedule":{"type":"boolean"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"id":{"type":"string"}},"required":["id"],"type":"object"}}},"description":"Patch release group response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}}}}
```

## GET /releaseGroup/{releaseGroupId}/components

> Get Component Details for a given releaseGroupId

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}/components":{"get":{"operationId":"GetReleaseGroupReleaseGroupIdComponents","parameters":[{"$ref":"#/components/parameters/AccountParam"}],"responses":{"200":{"$ref":"#/components/responses/ReleaseGroupComponentResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"401":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Component Details for a given releaseGroupId","tags":["Release Groups"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}}},"responses":{"ReleaseGroupComponentResponse":{"content":{"application/json":{"schema":{"properties":{"components":{"items":{"$ref":"#/components/schemas/ReleaseComponent"},"type":"array"}},"required":["components"],"type":"object"}}},"description":"This wraps the components that are tied to a release"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ReleaseComponent":{"properties":{"environments":{"description":"Details about environments with filterType and refs.","properties":{"filterType":{"description":"Type of filter applied for environments.","enum":["Equals","All"],"type":"string"},"refs":{"description":"List of environment identifiers.","items":{"type":"string"},"type":"array"}},"type":"object"},"orgIdentifier":{"description":"Identifier for the organization.","type":"string"},"pipelines":{"description":"Details about pipelines with filterType and refs.","properties":{"filterType":{"description":"Type of filter applied for pipelines.","enum":["Equals","All"],"type":"string"},"refs":{"description":"List of pipeline identifiers.","items":{"type":"string"},"type":"array"}},"type":"object"},"projectIdentifier":{"description":"Identifier for the project.","type":"string"},"services":{"description":"Details about services with filterType and refs.","properties":{"filterType":{"description":"Type of filter applied for services.","enum":["Equals","All"],"type":"string"},"refs":{"description":"List of service identifiers.","items":{"type":"string"},"type":"array"}},"type":"object"}},"required":["orgIdentifier","projectIdentifier"],"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```

## Fetch Release Conflicts

> Fetch a paginated list of release conflicts for a release group with optional status filtering

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Release Groups"}],"servers":[{"url":"/api"}],"paths":{"/releaseGroup/{releaseGroupId}/conflicts":{"get":{"description":"Fetch a paginated list of release conflicts for a release group with optional status filtering","operationId":"GetReleaseConflicts","parameters":[{"description":"ID of the release group","in":"path","name":"releaseGroupId","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/ConflictStatusList"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/Size"},{"$ref":"#/components/parameters/Sort"}],"responses":{"200":{"$ref":"#/components/responses/ReleaseConflictListResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"401":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Fetch Release Conflicts","tags":["Release Groups"]}}},"components":{"parameters":{"ConflictStatusList":{"in":"query","name":"conflictStatus","schema":{"items":{"type":"string"},"type":"array"}},"Page":{"in":"query","name":"page","schema":{"type":"integer"}},"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"Size":{"in":"query","name":"size","schema":{"type":"integer"}},"Sort":{"description":"Sort parameters as an array. Format: `[field_name, direction]` where direction is `asc` or `desc`.\nSupported fields: `start_ts`, `startTs`, `end_ts`, `endTs`, `last_updated_at`, `lastUpdatedAt`, `created_at`, `createdAt`, `name`, `identifier`, `status`, `type`.\nWhen used in query params, use format: `sort=field_name&sort=direction` (e.g., `sort=start_ts&sort=desc`).\n","in":"query","name":"sort","schema":{"items":{"type":"string"},"type":"array"}}},"responses":{"ReleaseConflictListResponse":{"content":{"application/json":{"schema":{"properties":{"content":{"items":{"$ref":"#/components/schemas/ExecutionConflict"},"type":"array"},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer"},"numberOfElements":{"type":"integer"},"pageable":{"$ref":"#/components/schemas/Pageable"},"size":{"type":"integer"},"sort":{"$ref":"#/components/schemas/PageableSort"},"totalElements":{"type":"integer"},"totalPages":{"type":"integer"}},"required":["content","pageable","last","totalPages","totalElements","size","number","sort","numberOfElements","first","empty"],"type":"object"}}},"description":"Example response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ExecutionConflict":{"properties":{"comment":{"description":"Comment associated with the conflict","type":"string"},"conflictResolvedAt":{"description":"Unix timestamp when the conflict was resolved","format":"int64","type":"integer"},"conflictResolvedBy":{"$ref":"#/components/schemas/User"},"createdAt":{"description":"Unix timestamp when the conflict was created","format":"int64","type":"integer"},"endTs":{"description":"Pipeline execution end timestamp","format":"int64","type":"integer"},"executionStatus":{"$ref":"#/components/schemas/Status"},"lastUpdatedAt":{"description":"Unix timestamp when the conflict was last updated","format":"int64","type":"integer"},"orgIdentifier":{"description":"Organization identifier","type":"string"},"pipelineIdentifier":{"description":"Identifier of the pipeline","type":"string"},"pipelineName":{"description":"Name of the pipeline","type":"string"},"planExecutionId":{"description":"ID of the execution that caused the conflict","type":"string"},"projectIdentifier":{"description":"Project identifier","type":"string"},"releaseInfoList":{"description":"Whether this release is recommended for resolution","items":{"$ref":"#/components/schemas/ReleaseConflictInfo"},"type":"array"},"runSequenceId":{"description":"Pipeline run sequence number","type":"integer"},"startTs":{"description":"Pipeline execution start timestamp","format":"int64","type":"integer"},"status":{"$ref":"#/components/schemas/ConflictStatus"},"triggerType":{"$ref":"#/components/schemas/TriggerType"},"triggeredBy":{"$ref":"#/components/schemas/TriggeredByDTO"},"type":{"$ref":"#/components/schemas/ReleaseType"}},"required":["planExecutionId","status","releaseInfoList","createdAt","lastUpdatedAt","pipelineName","pipelineIdentifier","runSequenceId","orgIdentifier","projectIdentifier","triggerType","triggeredBy","executionStatus","startTs"],"type":"object"},"User":{"properties":{"email":{"type":"string"},"identifier":{"type":"string"}},"title":"User","type":"object"},"Status":{"description":"Status of the stage.","enum":["ABORTED","OUTPUT_WAITING","ASYNC_WAITING","APPROVAL_REJECTED","APPROVAL_WAITING","DISCONTINUING","ERROR","ERRORED","EXPIRED","FAILED","FREEZE_FAILED","IGNORE_FAILED","INPUT_WAITING","INTERVENTION_WAITING","QUEUED","REJECTED","RESUMED","RUNNING","SCHEDULED","SKIPPED","STARTING","STARTING_QUEUED_STEP","SUCCESS","SUCCEEDED","SUSPENDED","TIMED_WAITING","TASK_WAITING","UPLOAD_WAITING","WAIT_STEP_RUNNING","WAITING","ON_HOLD"],"type":"string"},"ReleaseConflictInfo":{"properties":{"recommended":{"type":"boolean"},"releaseGroupId":{"type":"string"},"releaseId":{"type":"string"},"releaseName":{"type":"string"},"version":{"type":"string"}},"required":["recommended","releaseName","releaseId","releaseGroupId","version"],"title":"ReleaseInfo","type":"object"},"ConflictStatus":{"enum":["Conflict","Resolved","None"],"title":"ConflictStatus","type":"string"},"TriggerType":{"description":"Unit of time used for repeating releases.","enum":["MANUAL","WEBHOOK","WEBHOOK_CUSTOM","ARTIFACT","MANIFEST","SCHEDULER_CRON"],"type":"string"},"TriggeredByDTO":{"description":"Details of the user who triggered the activity.","properties":{"avatar":{"description":"Avatar URL of the person.","type":"string"},"email":{"description":"Email of the person who triggered the activity.","type":"string"},"id":{"description":"Identifier of the person who triggered the activity.","type":"string"},"name":{"description":"Name of the person who triggered the activity.","type":"string"},"triggerType":{"$ref":"#/components/schemas/TriggerType"}},"type":"object"},"ReleaseType":{"description":"Type of release.","enum":["System","Beta","Hotfix","Patch"],"type":"string"},"Pageable":{"properties":{"offset":{"type":"integer"},"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"paged":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/PageableSort"},"unpaged":{"type":"boolean"}},"type":"object"},"PageableSort":{"properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```
